Subject: Re: bug#13321: 24.3.0.50; Gmail error when replying from Gnus to github

From: Thierry Volpiatto <[email-masked]>
Date: Thu, 21 Feb 2013 20:40:32 +0100

Thierry Volpiatto <[email-masked]> writes:

> Hi Lars,
>
> Thierry Volpiatto <[email-masked]> writes:
>
>> Hi Lars,
>>
>> Thierry Volpiatto <[email-masked]> writes:
>>
>> I have isolated the problem to message.el, so when I load the message.el
>> of emacs-24 branch the problem disapear.
>> I will try to (re)diff the file to found out what is wrong there.
>> Perhaps you can have a look on your side too ?
>
> So the problem comes from `message-get-reply-headers', more exactly this
> piece of code:
>
>       ;; Make sure this message goes to the author if this is a wide
>       ;; reply, since Reply-To address may be a list address a mailing
>       ;; list server added.
>       (when (and wide author)
> 	(setq cc (concat author ", " cc)))
>       (when (or wide (not author))
> 	(setq author (or (message-fetch-field "from") ""))))
>
> In our case the "from" field contain "[email-masked]" which is
> the place where we should never reply.

Here the commit that introduce this bug:

--8<---------------cut here---------------start------------->8---
2559724 * 
        | Author: Katsumi Yamaoka <[email-masked]>
        | Date:   Mon Nov 19 06:24:03 2012 +0000
        | 
        |     message.el (message-get-reply-headers): Make sure the reply goes to the author if it is a wide reply
        | 
        |  lisp/ChangeLog  |    5 +++++
        |  lisp/message.el |   13 +++++++++----
        |  2 files changed, 14 insertions(+), 4 deletions(-)
--8<---------------cut here---------------end--------------->8---

With this change, here what is happening, sending a reply in same topic
on github:

;; BAD emacs-24.3.50
;; To: Le Wang <[email-masked]>
;; Cc: emacs-helm/helm <[email-masked]>,  emacs-helm/helm <reply+i-[...][email-masked]>

;; GOOD emacs-24.2.93
;; To: emacs-helm/helm <reply+i-[...][email-masked]>
;; Cc: emacs-helm/helm <[email-masked]>

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997